#
# spec file for package mate-control-center
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  libmate-window-settings
%define sover   1
%define soname_slab libmate-slab
%define sover_slab 0
%define _version 1.16
Name:           mate-control-center
Version:        1.16.0
Release:        1.4
Summary:        MATE Desktop control center
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  libxml2-python
BuildRequires:  mate-common
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dconf) >= 0.11.0
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libmarco-private) >= %{_version}
BuildRequires:  pkgconfig(libmate-menu) >= %{_version}
BuildRequires:  pkgconfig(libmatekbd)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{_version}
BuildRequires:  pkgconfig(mate-settings-daemon) >= %{_version}
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xft)
Requires:       %{name}-branding
Requires:       gsettings-backend-dconf
Requires:       gsettings-desktop-schemas
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires
%if 0%{?suse_version} >= 1320 || (0%{?sle_version} >= 120100 && 0%{?is_opensuse})
BuildRequires:  pkgconfig(appindicator-0.1)
%endif

%description
The control center is MATE's main interface for configuration of various
aspects of your desktop.

%package branding-upstream
Summary:        The MATE Control Center -- Upstream Definition of Shell Content
Group:          System/GUI/Other
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:branding-upstream)
Conflicts:      otherproviders(%{name}-branding)
Provides:       %{name}-branding = %{version}
BuildArch:      noarch
#BRAND: This package contains the definitions of the content appearing
#BRAND: in the shell (/etc/xdg/menus/matecc.menu).

%description branding-upstream
The control center is MATE's main interface for configuration of
various aspects of your desktop.

This package provides the upstream definition of what appears in the
control center.

%package devel
Summary:        Header files for MATE Control Center
Group:          Development/Libraries/Other
Requires:       %{soname}%{sover} = %{version}

%description devel
The control center is MATE's main interface for configuration of various
aspects of your desktop.

This package provides MATE control center development files.

%package -n %{soname}%{sover}
Summary:        Utility library for getting window manager settings
Group:          System/Libraries

%description -n %{soname}%{sover}
This library is used by MATE control center to change preferences
of window managers.

%package -n %{soname_slab}%{sover_slab}
Summary:        MATE Desktop libslab port
Group:          System/Libraries

%description -n %{soname_slab}%{sover_slab}
This library makes it easy to create tile-based UI for MATE, as seen in
gnome-main-menu.

%package -n %{soname_slab}-devel
Summary:        Header files for libslab
Group:          Development/Libraries/Other
Requires:       %{soname_slab}%{sover_slab} = %{version}

%description -n %{soname_slab}-devel
This library makes it easy to create tile-based UI for MATE, as seen in
gnome-main-menu.

This package provides libslab development files.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --disable-static        \
  --disable-update-mimedb \
  --with-gtk=2.0
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name} %{?no_lang_C}

%suse_update_desktop_file mate-settings-mouse
%suse_update_desktop_file mate-network-properties
%suse_update_desktop_file mate-appearance-properties
%suse_update_desktop_file mate-keybinding
%suse_update_desktop_file mate-font-viewer
%suse_update_desktop_file mate-theme-installer
%suse_update_desktop_file mate-default-applications-properties

%fdupes -s %{buildroot}%{_datadir}/help/

%post
%desktop_database_post
%mime_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%mime_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%post -n %{soname}%{sover} -p /sbin/ldconfig

%postun -n %{soname}%{sover} -p /sbin/ldconfig

%post -n %{soname_slab}%{sover_slab} -p /sbin/ldconfig

%postun -n %{soname_slab}%{sover_slab} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_sbindir}/mate-display-properties-install-systemwide
%{_bindir}/mate-*
%{_datadir}/applications/*.desktop
%{_datadir}/mate-control-center/*
%dir %{_datadir}/mate/
%{_datadir}/mate/cursor-fonts
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/polkit-1/actions/org.mate.randr.policy
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/C/%{name}/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/thumbnailers/
# From upstream branding.
%exclude %{_sysconfdir}/xdg/menus/matecc.menu
%dir %{_datadir}/desktop-directories
%{_datadir}/desktop-directories/matecc.directory
%dir %{_libdir}/window-manager-settings/
%{_libdir}/window-manager-settings/libmarco.so
%{_mandir}/man?/mate-*.?%{?ext_man}

%files branding-upstream
%defattr (-,root,root)
%dir %{_sysconfdir}/xdg/menus
%config %{_sysconfdir}/xdg/menus/matecc.menu

%files -n %{soname}%{sover}
%defattr(-,root,root)
%{_libdir}/%{soname}.so.%{sover}*

%files devel
%defattr(-,root,root)
%{_includedir}/mate-window-settings-2.0/
%{_libdir}/libmate-window-settings.so
%{_libdir}/pkgconfig/mate-default-applications.pc
%{_libdir}/pkgconfig/mate-keybindings.pc
%{_libdir}/pkgconfig/mate-window-settings-2.0.pc

%files -n %{soname_slab}%{sover_slab}
%defattr(-,root,root)
%{_libdir}/%{soname_slab}.so.%{sover_slab}*

%files -n %{soname_slab}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/mate-slab.pc
%{_includedir}/%{soname_slab}/
%{_libdir}/%{soname_slab}.so

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Build: Drop dconf 0.10 compatibility.
  * Appearance: Change default hinting style to slight and render
    antialiasing samples using that style.
  * Appearance: Render hinting samples using RGBA antialiasing.
  * Appearance: Place theme name below theme preview in GTK+3
    build to match GTK+2 one.
  * Appearance: Center theme name in GTK+3 build to match GTK+2
    one.
  * Appearance: Hide Colours tab in Customise Theme dialogue in
    the GTK+3 build as changing theme colours doesn't work in GTK+3.
  * GTK+3: Fix build with appindicator support enabled.
  * GTK+3: Fix showing monitors in display properties with
    GLib 2.49.6.
  * GTK+3: Fix various deprecations.
  * Some code cleanups.
* Sun Aug 14 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * About me: Add some space between username and buttons.
  * About me: Fix UI freeze when changing the password.
  * Make distcheck use currently selected GTK+ version.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Touchpad settings: Support edge and two-finger scrolling
    independently.
  * Some more fixes and cleanups.
  * Update translations.
  * Fix Changelog generation
* Mon Feb 22 2016 sor.alexei@meowr.ru
- Update to version 1.13.2:
  * Fix more deprecations and warnings.
* Fri Feb  5 2016 sor.alexei@meowr.ru
- Update to version 1.13.1:
  * Fix build warnings about incorrect pointer types.
  * GTK+3: Fix several deprecations.
  * GTK+3: Fix theme previews in mate-appearance-properties.
  * Drop "Ubuntu hacks" (--enable-ubuntu build option) as Ubuntu
    dropped that stuff long ago.
* Tue Jan 26 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Move preferences-categories.menu to mate-menus.
  * Drop MateConf migration script.
  * Window properties: Make all three window focus modes selectable.
  * Gtk3: Fix some deprecations.
  * Fix more build warnings.
* Mon Dec  7 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * Display: Fix crash due to a regression.
  * Fix some bottom items being not accessible in some cases.
  * Some more fixes.
  * Update translations.
- Enable SNI-tray (appindicators) support.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0:
  * Appearance: restored Interface tab.
  * Display: show output names in addition to display names.
  * Keybindings: added keybinding for logout.
  * Touchpad settings: add option to enable/disable touchpad.
  * Improve categorisation.
  * Retrieve strings directly from gschema (requires intltool
    0.50.1).
  * Some more fixes and cleanups.
* Fri Oct  9 2015 sor.alexei@meowr.ru
- Update to 1.11:
  * Switch to org.gnome.SessionManager.
  * Display settings: add support to set the primary monitor.
  * Gtk2 Restored Interface tab in Appearance capplet.
  * Touchpad settings: add support for natural scrolling, 2 finger
    and 3 finger clicks.
  * Gtk3: Fix font rendering in Appearance and mate-font-viewer.
* Mon Oct  5 2015 sor.alexei@meowr.ru
- Update to 1.10.2:
  * Appearance: fix possible segmentation fault on closing.
  * Appearance: allow to save notification theme optionally.
  * Display: made changing refresh rate actually work.
  * Fix build with prefix other than /usr.
  * Help fixes.
  * Update translations.
* Mon Jul 13 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Appearance: add theme changing support for metacity >= 3.16.
  * Help fixes.
  * GTK+3 fixes.
  * Translations update.
* Mon May  4 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * No changes since version 1.9.1
* Thu Jan 22 2015 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  * Adapt to MateDesktop MateRR* API changes
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + windows: Add option to configure titlebar buttons layout
  + appearance: Add support for metacity-theme-2.xml
  + default-applications: Add support for office applications
* Fri Oct  3 2014 p.drouand@gmail.com
- Update to version 1.8.3
  + Fixed typo in togglekeys-enable (a11y)
  + Fixed segfault with custom key bindings
  + Added support for metacity-2 themes in appearance capplet
  + Added several man pages
  + Added keywords key to .desktop files
  + Updated Marco WM name
* Sat Jul 12 2014 p.drouand@gmail.com
- Update to version 1.8.2
  + Fix key name typo in mate-keyboard
  + Allow metacity-2 themes
  + Several man page and desktop file fixes
* Sat Mar 15 2014 p.drouand@gmail.com
- Update to version 1.8.1
  + default-applications: add support for accessibility applications
- Symlink duplicate files with fdupes
* Mon Mar 10 2014 p.drouand@gmail.com
- Package files in /usr/share/mate-control-center but don't own this
  directory to avoid conflicts with marco
- Fix versions in BuildRequires tags
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + use yelp-tools instead of mate-doc-utils
  + windows: Add option to enable side by side tiling
  + windows: Add metacity support
  + appearance: Add support for 'artist' tag in xml backgrounds files
  + appearance: Change also titlebar font if Metacity is running
* Mon Feb 10 2014 p.drouand@gmail.com
- Update to version 1.7.0 (unstable)
  + initial GTK3 support
  + about-me: Remove unused constant
  + fix some gcc warnings
  + windows: Fix ui file after GtkComboBoxText migration
  + fixes for GTK2
  + remove all separator occurrences
  + keyboard: Fix segfault
    Var may be set as constant value but freed later.
- Replace mate-doc-utils requirement with yelp-tools; upstream use it
  now to build documentation
* Wed Jan  1 2014 p.drouand@gmail.com
- Update to version 1.6.2
  + default applications: fix capplet name
  + Fix some deprecations and remove some unused vars
  + appearance: Change also titlebar font if Metacity is running
    Closes #40 (https://github.com/mate-desktop/mate-control-center/issues/40)
  + Rename .desktop files to avoid file collision with Gnome2
  + use MATE defaults for appearance-themes
  + using mate-default-applications-properties.desktop im gsettings schema
- Upstream doesn't provide display-properties.desktop, keyboard.desktop
  at-properties.desktop and window-properties.desktop anymore; remove
  %%suse_update_desktop_file tag for mentioned desktop files
- Subpackage libslab development files in his own package
* Fri Sep 20 2013 p.drouand@gmail.com
- Correct library subpackages group to System/Libraries
* Tue Sep  3 2013 p.drouand@gmail.com
- Add "Requires: gsettings-desktop-schemas" to allow to share settings
  with others DEs
* Mon Sep  2 2013 p.drouand@gmail.com
- mate-control-center' help files must be in main package, not in
  lang package; correct it
* Sat Aug  3 2013 p.drouand@gmail.com
- Update to version 1.6.1
  + fixes for make dist and make distcheck
  + add manpage for default-applications, appearance and about-me
  + rename also desktop file for MATE
  + fix multiply defined AM_CPPFLAGS/INCLUDES in /shell/Makefile.am
  + add X-MATE-PersonalSettings to default-applications.desktop
  + update default-applications.desktop.in.in and move mate-about-me
    to personal category
  + mouse: remove unused code and fix loading of GSettings prefs
  + fix pkgconfig files path
    closes #47 https://github.com/mate-desktop/mate-control-center/issues/47
  + fix mate-keybinding segfaults after setting custom keybinding
    closes #45 https://github.com/mate-desktop/mate-control-center/issues/45
  + make appearance and keybindings windows maximizable
    closes #35 https://github.com/mate-desktop/mate-control-center/issues/35
  + add support for Compiz 0.9.x
* Wed Apr 24 2013 p.drouand@gmail.com
- Add "Requires: libslab0" in devel package; mate-control-center-devel
  provides pkgconfig(libslab) and need to requires it
* Fri Apr 12 2013 p.drouand@gmail.com
- Add "Requires: gsettings-backend-dconf"; it's needed to save users settings
  changes
* Wed Apr  3 2013 p.drouand@gmail.com
- Update to version 1.6
  + Add Recommends:     %%{name}-lang = %%{version}-%%{release}
  + change INCLUDES to AM_CPPFLAGS for automake-1.13
* Tue Apr  2 2013 p.drouand@gmail.com
- Update to version 1.5.5
  + fix GSettings variable name
  + fix dconf minimum versions
* Sun Feb 24 2013 p.drouand@gmail.com
- Remove Requires: mate-control-center in devel package
  It only needs the libraries subpackage
- Remove rpmlintrc file
  Issue has been fixed
* Tue Feb 19 2013 p.drouand@gmail.com
- Update to version 1.5.4:
  * Dont use removed GSettings allowed-keys for keybindings
  * Fix disabled shortcuts values:
    Disabled shortcuts have "disabled" as value in GSettings, not an
    empty string
  * Allow to set default terminal emulator
  * Translated Spanish comments
  * Fix some small issues
  * Fix image viewer icon
    Closes https://github.com/mate-desktop/mate-control-center/issues/36
  * Fix touchpad scrolling settings
    Closes https://github.com/mate-desktop/mate-control-center/issues/34
  * Add option to enable compositing manager and fast alt-tab
  * Display mate-control-center in menu
-Removed patchs; fixed and merged on upstream release:
  * Fix-touchpad-scrolling-settings.patch
  * fix-wrong-desktop-names.patch
* Tue Feb 12 2013 p.drouand@gmail.com
-Add Fix-touchpad-scrolling-settings.patch
* Sun Feb 10 2013 p.drouand@gmail.com
- Add fix-wrong-desktop-names.patch
* Thu Jan 24 2013 nmo.marques@gmail.com
- Update to version 1.5.3
  + changed ordering that titlebar actions are displayed
  + set metacity theme if compiz or metacity are being used
  + minor updated
* Wed Dec 19 2012 nmo.marques@gmail.com
- Update to version 1.5.2
* Wed Dec 12 2012 nmo.marques@gmail.com
- Update to version 1.5.1 (testing snapshot):
  + build and deploy libslab (testing)
- Split libslab sub-package and minor spec file fixes
* Sun Nov 25 2012 nmo.marques@gmail.com
- Update to version 1.5.1
  + Fix FSF addresses
  + remove old mateconf key declarations
  + fix background settings;
  + fix up function headers for consistency
  + migrate applets to gsettings
  + other fixes
- Remove mate-control-center-1.5.0-fix_missing_return.patch; fixed
  upstream
* Sun Nov  4 2012 nmo.marques@gmail.com
- Add %%post/%%postun desktop database macros
- Disable 'aboutme' module build for now; currently being reworked
  upstream and broken on Factory - need glib 2.34+ fix
- Remove libebook-1.2 dependency from BRs; only 'aboutme' requires
  it and its dropped by upstream.
* Sat Oct 27 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + migration to DBus/GSettings from old CORBA/mateconf-2.0
- Add missing macros for %%post and %%postun
- Merge library devel sub-package with main devel sub-package
- Add mate-control-center-1.5.0-fix_missing_return.patch - fix
  function otherwise breaks in build system - upstreamed
* Sat Sep  8 2012 nmo.marques@gmail.com
- update to version 1.4.0
  + enable 'about-me'
  + add missing Xorg dependencies for modules
- remove mate-1.2.1-add_gmodules_to_linker.patch: fixed upstream
- remove mate-1.2.1-fix_pointer.patch: fixed upstream
- copypac to X11:MATE
  + minor cosmetic fixes
* Sat Jun 16 2012 nmo.marques@gmail.com
- update to version 1.2.1
  + move spec to use mateconf macros, minor spec cleanups
- add mate-1.2.1-add_gmodules_to_linker.patch: add GMODULES to
  linker path
- add mate-1.2.1-fix_pointer.patch: disable a bit of bit used for
  a transiction in Ubuntu (wtf ?)
* Wed Feb  1 2012 fisiu@opensuse.org
- initial package from version 1.1.0
